GNU bug report logs - #50230
Endian problem with native compilation

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andreas Schwab <schwab@HIDDEN>; dated Fri, 27 Aug 2021 17:40:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 50230 <at> debbugs.gnu.org:


Received: (at 50230) by debbugs.gnu.org; 4 Sep 2021 09:15:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 05:15:40 2021
Received: from localhost ([127.0.0.1]:46630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMRm0-0000Qm-ED
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:15:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60018)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mMRly-0000Ju-At
 for 50230 <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:15:39 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55540)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mMRlr-00023b-Jt; Sat, 04 Sep 2021 05:15:31 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2595
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mMRlr-0004j3-6x; Sat, 04 Sep 2021 05:15:31 -0400
Date: Sat, 04 Sep 2021 12:15:24 +0300
Message-Id: <83pmtowvkj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: akrl@HIDDEN
In-Reply-To: <83y28gp9gb.fsf@HIDDEN> (message from Eli Zaretskii on Wed, 01
 Sep 2021 19:05:56 +0300)
Subject: Re: bug#50230: Endian problem with native compilation
References: <87r1eeu6r0.fsf@HIDDEN> <87wno3i7f3.fsf@HIDDEN>
 <xjfr1eb2ifv.fsf@HIDDEN> <87r1ebhy7t.fsf@HIDDEN>
 <xjf1r6832es.fsf@HIDDEN> <838s0gqtu4.fsf@HIDDEN>
 <xjfo89c1g7h.fsf@HIDDEN> <83y28gp9gb.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50230
Cc: schwab@HIDDEN, 50230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 01 Sep 2021 19:05:56 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: schwab@HIDDEN, 50230 <at> debbugs.gnu.org
> 
> > From: Andrea Corallo <akrl@HIDDEN>
> > Cc: schwab@HIDDEN, 50230 <at> debbugs.gnu.org
> > Date: Wed, 01 Sep 2021 15:13:54 +0000
> > 
> > This is changing the cast functions we synthesize and use in all the
> > code we generate, so yes it is potentially destabilizing.
> > 
> > That said the generated code looks correct to me (and considerably
> > cleaner).  Also, given these functions are really the foundation of a
> > lot of other code we generate I guess would be unlikely to have these
> > wrong but still have the testsuite passing clean and Emacs booting up
> > correctly.  Call me optimistic but I'd be pretty confident with this
> > change...
> 
> OK, thanks.  We'll see how it goes (after you find the problem with
> endianness and fix it).

I've noticed that building Emacs --with-native-compilation after this
change still uses the same subdirectory of native-lisp/ for the
preloaded files, and doesn't recompile *.eln files that were
native-compiled before the change (unless the corresponding *.el files
were updated in the meantime).  Shouldn't we recompile all the *.eln
files after this change?

I don't know if Andreas did recompile all of them, but if not, perhaps
that's one reason why the change didn't fix Emacs on big-endian
systems?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50230; Package emacs. Full text available.

Message received at 50230 <at> debbugs.gnu.org:


Received: (at 50230) by debbugs.gnu.org; 1 Sep 2021 16:06:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 01 12:06:07 2021
Received: from localhost ([127.0.0.1]:38897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLSkY-0007OR-PW
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 12:06:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mLSkX-0007Nw-En
 for 50230 <at> debbugs.gnu.org; Wed, 01 Sep 2021 12:06:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55296)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mLSkQ-0000uV-NB; Wed, 01 Sep 2021 12:05:58 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3966
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mLSkQ-0003p5-AO; Wed, 01 Sep 2021 12:05:58 -0400
Date: Wed, 01 Sep 2021 19:05:56 +0300
Message-Id: <83y28gp9gb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfo89c1g7h.fsf@HIDDEN> (message from Andrea Corallo on Wed, 
 01 Sep 2021 15:13:54 +0000)
Subject: Re: bug#50230: Endian problem with native compilation
References: <87r1eeu6r0.fsf@HIDDEN> <87wno3i7f3.fsf@HIDDEN>
 <xjfr1eb2ifv.fsf@HIDDEN> <87r1ebhy7t.fsf@HIDDEN>
 <xjf1r6832es.fsf@HIDDEN> <838s0gqtu4.fsf@HIDDEN>
 <xjfo89c1g7h.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50230
Cc: schwab@HIDDEN, 50230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: schwab@HIDDEN, 50230 <at> debbugs.gnu.org
> Date: Wed, 01 Sep 2021 15:13:54 +0000
> 
> This is changing the cast functions we synthesize and use in all the
> code we generate, so yes it is potentially destabilizing.
> 
> That said the generated code looks correct to me (and considerably
> cleaner).  Also, given these functions are really the foundation of a
> lot of other code we generate I guess would be unlikely to have these
> wrong but still have the testsuite passing clean and Emacs booting up
> correctly.  Call me optimistic but I'd be pretty confident with this
> change...

OK, thanks.  We'll see how it goes (after you find the problem with
endianness and fix it).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50230; Package emacs. Full text available.

Message received at 50230 <at> debbugs.gnu.org:


Received: (at 50230) by debbugs.gnu.org; 1 Sep 2021 15:13:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 01 11:13:58 2021
Received: from localhost ([127.0.0.1]:38831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLRw6-0005s4-93
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 11:13:58 -0400
Received: from mx.sdf.org ([205.166.94.24]:63015)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1mLRw3-0005rv-LR
 for 50230 <at> debbugs.gnu.org; Wed, 01 Sep 2021 11:13:56 -0400
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 181FDshZ020553
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 1 Sep 2021 15:13:54 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50230: Endian problem with native compilation
References: <87r1eeu6r0.fsf@HIDDEN> <87wno3i7f3.fsf@HIDDEN>
 <xjfr1eb2ifv.fsf@HIDDEN> <87r1ebhy7t.fsf@HIDDEN>
 <xjf1r6832es.fsf@HIDDEN> <838s0gqtu4.fsf@HIDDEN>
Date: Wed, 01 Sep 2021 15:13:54 +0000
In-Reply-To: <838s0gqtu4.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 01 Sep
 2021 17:00:19 +0300")
Message-ID: <xjfo89c1g7h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50230
Cc: schwab@HIDDEN, 50230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Cc: 50230 <at> debbugs.gnu.org
>> Date: Wed, 01 Sep 2021 12:28:59 +0000
>> From:  Andrea Corallo via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
>> 
>> Andreas Schwab <schwab@HIDDEN> writes:
>> 
>> > define_cast_functions contains all the horrible mess.
>> >
>> > Andreas.
>> 
>> Hi Andreas,
>> 
>> is this bug fixed with 6767e5565?
>
> Andrea,
>
> Regardless of whether the big-endian bugs are solved with this, could
> you please try to give us an idea of how this change could affect the
> native code produced by Emacs, and whether it could destabilize Emacs
> with natively-compiled Lisp code to any significant degree?

This is changing the cast functions we synthesize and use in all the
code we generate, so yes it is potentially destabilizing.

That said the generated code looks correct to me (and considerably
cleaner).  Also, given these functions are really the foundation of a
lot of other code we generate I guess would be unlikely to have these
wrong but still have the testsuite passing clean and Emacs booting up
correctly.  Call me optimistic but I'd be pretty confident with this
change...

Not sure I can say more than this, hope it helps.

Regards

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50230; Package emacs. Full text available.

Message received at 50230 <at> debbugs.gnu.org:


Received: (at 50230) by debbugs.gnu.org; 1 Sep 2021 14:00:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 01 10:00:48 2021
Received: from localhost ([127.0.0.1]:38718 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLQnI-0000LZ-5U
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 10:00:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mLQnG-0000FZ-NE
 for 50230 <at> debbugs.gnu.org; Wed, 01 Sep 2021 10:00:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50226)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mLQnA-0005AN-GL; Wed, 01 Sep 2021 10:00:40 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4160
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mLQmz-0002mJ-O3; Wed, 01 Sep 2021 10:00:38 -0400
Date: Wed, 01 Sep 2021 17:00:19 +0300
Message-Id: <838s0gqtu4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjf1r6832es.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#50230: Endian problem with native compilation
References: <87r1eeu6r0.fsf@HIDDEN> <87wno3i7f3.fsf@HIDDEN>
 <xjfr1eb2ifv.fsf@HIDDEN> <87r1ebhy7t.fsf@HIDDEN>
 <xjf1r6832es.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50230
Cc: schwab@HIDDEN, 50230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 50230 <at> debbugs.gnu.org
> Date: Wed, 01 Sep 2021 12:28:59 +0000
> From:  Andrea Corallo via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Andreas Schwab <schwab@HIDDEN> writes:
> 
> > define_cast_functions contains all the horrible mess.
> >
> > Andreas.
> 
> Hi Andreas,
> 
> is this bug fixed with 6767e5565?

Andrea,

Regardless of whether the big-endian bugs are solved with this, could
you please try to give us an idea of how this change could affect the
native code produced by Emacs, and whether it could destabilize Emacs
with natively-compiled Lisp code to any significant degree?

We intend to start pretest of Emacs 28.1 soon, and I'm a bit bothered
by such low-level changes, because they could invalidate all the good
experience and debugging we accumulated since the native-comp branch
landed on master.  If this change is potentially destabilizing, we may
need to reassess our release schedule, so as to give this code more
time to mature.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50230; Package emacs. Full text available.

Message received at 50230 <at> debbugs.gnu.org:


Received: (at 50230) by debbugs.gnu.org; 1 Sep 2021 13:20:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 01 09:20:01 2021
Received: from localhost ([127.0.0.1]:36660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLQ9p-0006TS-Gf
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 09:20:01 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:58584)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1mLQ9n-0006TJ-1k
 for 50230 <at> debbugs.gnu.org; Wed, 01 Sep 2021 09:19:59 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4H04RK59gHz1qxH2;
 Wed,  1 Sep 2021 15:19:57 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4H04RK3hxkz1qqkB;
 Wed,  1 Sep 2021 15:19:57 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id hjvoGTAFs0Dw; Wed,  1 Sep 2021 15:19:56 +0200 (CEST)
X-Auth-Info: +dHwx8rfwbFUw2ekoR7PDN1uPXUUQ65f2nCPhYw1FjJK3pWqR0sPDNlguH85+PJ9
Received: from igel.home (ppp-46-244-170-197.dynamic.mnet-online.de
 [46.244.170.197])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Wed,  1 Sep 2021 15:19:56 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 41DBD2C2613; Wed,  1 Sep 2021 15:19:56 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#50230: Endian problem with native compilation
References: <87r1eeu6r0.fsf@HIDDEN> <87wno3i7f3.fsf@HIDDEN>
 <xjfr1eb2ifv.fsf@HIDDEN> <87r1ebhy7t.fsf@HIDDEN>
 <xjf1r6832es.fsf@HIDDEN>
X-Yow: I guess you guys got BIG MUSCLES from doing too much STUDYING!
Date: Wed, 01 Sep 2021 15:19:56 +0200
In-Reply-To: <xjf1r6832es.fsf@HIDDEN> (Andrea Corallo's message of "Wed,
 01 Sep 2021 12:28:59 +0000")
Message-ID: <87wno0v3er.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 50230
Cc: 50230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

No, s390x still fails.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50230; Package emacs. Full text available.

Message received at 50230 <at> debbugs.gnu.org:


Received: (at 50230) by debbugs.gnu.org; 1 Sep 2021 12:29:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 01 08:29:05 2021
Received: from localhost ([127.0.0.1]:36576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLPMX-00030V-8T
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 08:29:05 -0400
Received: from mx.sdf.org ([205.166.94.24]:61861)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1mLPMU-00030A-15
 for 50230 <at> debbugs.gnu.org; Wed, 01 Sep 2021 08:29:03 -0400
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 181CSxXE002417
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 1 Sep 2021 12:29:00 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#50230: Endian problem with native compilation
References: <87r1eeu6r0.fsf@HIDDEN> <87wno3i7f3.fsf@HIDDEN>
 <xjfr1eb2ifv.fsf@HIDDEN> <87r1ebhy7t.fsf@HIDDEN>
Date: Wed, 01 Sep 2021 12:28:59 +0000
In-Reply-To: <87r1ebhy7t.fsf@HIDDEN> (Andreas Schwab's message of "Mon, 30
 Aug 2021 15:13:42 +0200")
Message-ID: <xjf1r6832es.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50230
Cc: 50230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas Schwab <schwab@HIDDEN> writes:

> define_cast_functions contains all the horrible mess.
>
> Andreas.

Hi Andreas,

is this bug fixed with 6767e5565?

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50230; Package emacs. Full text available.

Message received at 50230 <at> debbugs.gnu.org:


Received: (at 50230) by debbugs.gnu.org; 30 Aug 2021 13:21:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 09:21:07 2021
Received: from localhost ([127.0.0.1]:58474 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKhDj-0003cu-Kb
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 09:21:07 -0400
Received: from mx.sdf.org ([205.166.94.24]:49605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1mKhDe-0003c3-0a
 for 50230 <at> debbugs.gnu.org; Mon, 30 Aug 2021 09:21:02 -0400
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 17UDKvMv009351
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Mon, 30 Aug 2021 13:20:57 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#50230: Endian problem with native compilation
References: <87r1eeu6r0.fsf@HIDDEN> <87wno3i7f3.fsf@HIDDEN>
 <xjfr1eb2ifv.fsf@HIDDEN> <87r1ebhy7t.fsf@HIDDEN>
Date: Mon, 30 Aug 2021 13:20:57 +0000
In-Reply-To: <87r1ebhy7t.fsf@HIDDEN> (Andreas Schwab's message of "Mon, 30
 Aug 2021 15:13:42 +0200")
Message-ID: <xjfmtoz2hmu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50230
Cc: 50230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas Schwab <schwab@HIDDEN> writes:

> define_cast_functions contains all the horrible mess.

Thanks for pointing this bug out.

Also please trim you communication according to [1].

Best Regards

  Andrea

[1] <https://www.gnu.org/philosophy/kind-communication.en.html>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50230; Package emacs. Full text available.

Message received at 50230 <at> debbugs.gnu.org:


Received: (at 50230) by debbugs.gnu.org; 30 Aug 2021 13:13:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 09:13:49 2021
Received: from localhost ([127.0.0.1]:58468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKh6i-0003OL-SY
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 09:13:49 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:47177)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1mKh6f-0003O7-Mg
 for 50230 <at> debbugs.gnu.org; Mon, 30 Aug 2021 09:13:47 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4GyrP43r5xz1sBR3;
 Mon, 30 Aug 2021 15:13:44 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4GyrP41bGZz1qqkL;
 Mon, 30 Aug 2021 15:13:44 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id 9alEM6hLxs55; Mon, 30 Aug 2021 15:13:43 +0200 (CEST)
X-Auth-Info: 0r6yNxDr0kyouBSlt/xwFxV0P7qlWo0vliSZ0eUAsIiNiOtUX10itkXvrDIOrIzO
Received: from igel.home (ppp-46-244-183-34.dynamic.mnet-online.de
 [46.244.183.34])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Mon, 30 Aug 2021 15:13:43 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id B29622C2582; Mon, 30 Aug 2021 15:13:42 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#50230: Endian problem with native compilation
References: <87r1eeu6r0.fsf@HIDDEN> <87wno3i7f3.fsf@HIDDEN>
 <xjfr1eb2ifv.fsf@HIDDEN>
X-Yow: What GOOD is a CARDBOARD suitcase ANYWAY?
Date: Mon, 30 Aug 2021 15:13:42 +0200
In-Reply-To: <xjfr1eb2ifv.fsf@HIDDEN> (Andrea Corallo's message of "Mon,
 30 Aug 2021 13:03:32 +0000")
Message-ID: <87r1ebhy7t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 50230
Cc: 50230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

define_cast_functions contains all the horrible mess.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50230; Package emacs. Full text available.

Message received at 50230 <at> debbugs.gnu.org:


Received: (at 50230) by debbugs.gnu.org; 30 Aug 2021 13:03:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 09:03:43 2021
Received: from localhost ([127.0.0.1]:58453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKgwt-00035W-CQ
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 09:03:43 -0400
Received: from mx.sdf.org ([205.166.94.24]:51116)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1mKgwn-00035F-No
 for 50230 <at> debbugs.gnu.org; Mon, 30 Aug 2021 09:03:37 -0400
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 17UD3W8c012872
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Mon, 30 Aug 2021 13:03:32 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#50230: Endian problem with native compilation
References: <87r1eeu6r0.fsf@HIDDEN> <87wno3i7f3.fsf@HIDDEN>
Date: Mon, 30 Aug 2021 13:03:32 +0000
In-Reply-To: <87wno3i7f3.fsf@HIDDEN> (Andreas Schwab's message of "Mon, 30
 Aug 2021 11:54:56 +0200")
Message-ID: <xjfr1eb2ifv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50230
Cc: 50230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas Schwab <schwab@HIDDEN> writes:

> All the cast functions are totally bogus.  They do not implement any
> kind of type conversion.
>
> Andreas.

Hi Andreas,

if you took the time to analyze the issue it would be very nice if you
could also mention which functions are you referring to.  This will
certainly help the volunteer that will fix them.

TIA

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50230; Package emacs. Full text available.

Message received at 50230 <at> debbugs.gnu.org:


Received: (at 50230) by debbugs.gnu.org; 30 Aug 2021 09:55:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 05:55:01 2021
Received: from localhost ([127.0.0.1]:58210 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKe0L-0003h4-Bf
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 05:55:01 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:47153)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1mKe0J-0003gt-JT
 for 50230 <at> debbugs.gnu.org; Mon, 30 Aug 2021 05:55:00 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4Gylzj6ZDlz1s8NR;
 Mon, 30 Aug 2021 11:54:57 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4Gylzj4Cgvz1qql1;
 Mon, 30 Aug 2021 11:54:57 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id Jm8G92VCh2aQ; Mon, 30 Aug 2021 11:54:57 +0200 (CEST)
X-Auth-Info: tcG+OdF/wR3+bnbUfVpFselDhU+71snWSNdJC5UYzTI55j1crTpQbYHTPLzodbaA
Received: from igel.home (ppp-46-244-183-34.dynamic.mnet-online.de
 [46.244.183.34])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Mon, 30 Aug 2021 11:54:57 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 78B732C264F; Mon, 30 Aug 2021 11:54:56 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: 50230 <at> debbugs.gnu.org
Subject: Re: bug#50230: Endian problem with native compilation
References: <87r1eeu6r0.fsf@HIDDEN>
X-Yow: Kids, the seven basic food groups are GUM, PUFF PASTRY, PIZZA,
 PESTICIDES, ANTIBIOTICS, NUTRA-SWEET and MILK DUDS!!
Date: Mon, 30 Aug 2021 11:54:56 +0200
In-Reply-To: <87r1eeu6r0.fsf@HIDDEN> (Andreas Schwab's message of "Fri, 27
 Aug 2021 19:39:31 +0200")
Message-ID: <87wno3i7f3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 50230
Cc: Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

All the cast functions are totally bogus.  They do not implement any
kind of type conversion.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50230; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Aug 2021 17:39:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 27 13:39:53 2021
Received: from localhost ([127.0.0.1]:52915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJfpV-0006nY-98
	for submit <at> debbugs.gnu.org; Fri, 27 Aug 2021 13:39:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:60566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1mJfpQ-0006nO-Jv
 for submit <at> debbugs.gnu.org; Fri, 27 Aug 2021 13:39:48 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53974)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <whitebox@HIDDEN>)
 id 1mJfpQ-00011R-BJ
 for bug-gnu-emacs@HIDDEN; Fri, 27 Aug 2021 13:39:44 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:57027)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <whitebox@HIDDEN>)
 id 1mJfpL-0005TW-8n
 for bug-gnu-emacs@HIDDEN; Fri, 27 Aug 2021 13:39:43 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4Gx6RD4Srjz1qwxv
 for <bug-gnu-emacs@HIDDEN>; Fri, 27 Aug 2021 19:39:36 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4Gx6RD3dt3z1qqyH
 for <bug-gnu-emacs@HIDDEN>; Fri, 27 Aug 2021 19:39:36 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id tsWWwroawCMu for <bug-gnu-emacs@HIDDEN>;
 Fri, 27 Aug 2021 19:39:32 +0200 (CEST)
X-Auth-Info: 0u4SbVDvKeBGMRWmH5ea19FtgQh7vo7l7GIwPkXGHzWCPW0uyJ99Ga8dgT+4CJFz
Received: from igel.home (ppp-46-244-178-10.dynamic.mnet-online.de
 [46.244.178.10])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA
 for <bug-gnu-emacs@HIDDEN>; Fri, 27 Aug 2021 19:39:32 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 044A32C2614; Fri, 27 Aug 2021 19:39:31 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Endian problem with native compilation
X-Yow: I'm reporting for duty as a modern person.  I want to do
 the Latin Hustle now!
Date: Fri, 27 Aug 2021 19:39:31 +0200
Message-ID: <87r1eeu6r0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=212.18.0.9; envelope-from=whitebox@HIDDEN;
 helo=mail-out.m-online.net
X-Spam_score_int: -22
X-Spam_score: -2.3
X-Spam_bar: --
X-Spam_report: (-2.3 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Native compilation appears to have an endian problem.  Builds on s390x,
ppc and ppc64 all show the same failure.

Compiler-macro error for make-comp-cstr-ctxt: (wrong-type-argument listp (n=
il (make-hash-table :test #'equal)))
Debugger entered--Lisp error: (wrong-type-argument listp (nil #<hash-table =
equal 0/65 0xaa83b5b185>))
  make-comp-cstr-ctxt()
  (let* ((comp-ctxt (make-comp-cstr-ctxt)) (h (make-hash-table :test #'eq))=
 (--cl-var-- comp-known-type-specifiers) (f nil) (type-spec nil) (--cl-var-=
-) (cstr nil) (--cl-var-- t)) (while (consp --cl-var--) (setq --cl-var-- (c=
ar --cl-var--) f (car-safe (prog1 --cl-var-- (setq --cl-var-- (cdr --cl-var=
--)))) type-spec (car --cl-var--)) (setq cstr (comp-type-spec-to-cstr type-=
spec)) (puthash f cstr h) (setq --cl-var-- (cdr --cl-var--)) (setq --cl-var=
-- nil)) h)
  (defconst comp-known-func-cstr-h (let* ((comp-ctxt (make-comp-cstr-ctxt))=
 (h (make-hash-table :test #'eq)) (--cl-var-- comp-known-type-specifiers) (=
f nil) (type-spec nil) (--cl-var--) (cstr nil) (--cl-var-- t)) (while (cons=
p --cl-var--) (setq --cl-var-- (car --cl-var--) f (car-safe (prog1 --cl-var=
-- (setq --cl-var-- (cdr --cl-var--)))) type-spec (car --cl-var--)) (setq c=
str (comp-type-spec-to-cstr type-spec)) (puthash f cstr h) (setq --cl-var--=
 (cdr --cl-var--)) (setq --cl-var-- nil)) h) "Hash table function -> `comp-=
constraint'.")
  eval-buffer(#<buffer  *load*> nil "/home/abuild/rpmbuild/BUILD/emacs-28.0=
.50/lisp/ema..." nil t)  ; Reading at buffer position 24804
  (let ((load-true-file-name fullname) (load-file-name fullname) (set-auto-=
coding-for-load t) (inhibit-file-name-operation nil)) (with-current-buffer =
buffer (set-buffer-multibyte t) (let (deactivate-mark) (insert-file-content=
s fullname)) (if (and enable-multibyte-characters (or (eq (coding-system-ty=
pe last-coding-system-used) 'raw-text))) (set-buffer-multibyte nil)) (set-b=
uffer-modified-p nil)) (eval-buffer buffer nil (if dump-mode file fullname)=
 nil t))
  (unwind-protect (let ((load-true-file-name fullname) (load-file-name full=
name) (set-auto-coding-for-load t) (inhibit-file-name-operation nil)) (with=
-current-buffer buffer (set-buffer-multibyte t) (let (deactivate-mark) (ins=
ert-file-contents fullname)) (if (and enable-multibyte-characters (or (eq (=
coding-system-type last-coding-system-used) 'raw-text))) (set-buffer-multib=
yte nil)) (set-buffer-modified-p nil)) (eval-buffer buffer nil (if dump-mod=
e file fullname) nil t)) (let (kill-buffer-hook kill-buffer-query-functions=
) (kill-buffer buffer)))
  (let ((buffer (generate-new-buffer " *load*")) (load-in-progress t) (sour=
ce (string-suffix-p ".el" fullname))) (unless nomessage (if source (message=
 "Loading %s (source)..." file) (message "Loading %s..." file))) (when puri=
fy-flag (push (purecopy file) preloaded-file-list)) (unwind-protect (let ((=
load-true-file-name fullname) (load-file-name fullname) (set-auto-coding-fo=
r-load t) (inhibit-file-name-operation nil)) (with-current-buffer buffer (s=
et-buffer-multibyte t) (let (deactivate-mark) (insert-file-contents fullnam=
e)) (if (and enable-multibyte-characters (or (eq ... ...))) (set-buffer-mul=
tibyte nil)) (set-buffer-modified-p nil)) (eval-buffer buffer nil (if dump-=
mode file fullname) nil t)) (let (kill-buffer-hook kill-buffer-query-functi=
ons) (kill-buffer buffer))) (do-after-load-evaluation fullname) (unless (or=
 nomessage noninteractive) (if source (message "Loading %s (source)...done"=
 file) (message "Loading %s...done" file))) t)
  (if (null (file-readable-p fullname)) (and (null noerror) (signal 'file-e=
rror (list "Cannot open load file" file))) (let ((buffer (generate-new-buff=
er " *load*")) (load-in-progress t) (source (string-suffix-p ".el" fullname=
))) (unless nomessage (if source (message "Loading %s (source)..." file) (m=
essage "Loading %s..." file))) (when purify-flag (push (purecopy file) prel=
oaded-file-list)) (unwind-protect (let ((load-true-file-name fullname) (loa=
d-file-name fullname) (set-auto-coding-for-load t) (inhibit-file-name-opera=
tion nil)) (with-current-buffer buffer (set-buffer-multibyte t) (let (deact=
ivate-mark) (insert-file-contents fullname)) (if (and enable-multibyte-char=
acters (or ...)) (set-buffer-multibyte nil)) (set-buffer-modified-p nil)) (=
eval-buffer buffer nil (if dump-mode file fullname) nil t)) (let (kill-buff=
er-hook kill-buffer-query-functions) (kill-buffer buffer))) (do-after-load-=
evaluation fullname) (unless (or nomessage noninteractive) (if source (mess=
age "Loading %s (source)...done" file) (message "Loading %s...done" file)))=
 t))
  load-with-code-conversion("/home/abuild/rpmbuild/BUILD/emacs-28.0.50/lisp=
/ema..." "/home/abuild/rpmbuild/BUILD/emacs-28.0.50/lisp/ema..." nil t)
  load("comp" nil t)
  (let* ((file (command-line-normalize-file-name (or argval (car-safe (prog=
1 command-line-args-left (setq command-line-args-left ...)))))) (file-ex (f=
ile-truename (expand-file-name file)))) (if (file-regular-p file-ex) (progn=
 (setq file file-ex))) (load file nil t))
  (cond ((setq tem (assoc argi command-switch-alist)) (if argval (let ((com=
mand-line-args-left (cons argval command-line-args-left))) (funcall (cdr te=
m) argi)) (funcall (cdr tem) argi))) ((equal argi "-no-splash") (setq inhib=
it-startup-screen t)) ((member argi '("-f" "-funcall" "-e")) (setq inhibit-=
startup-screen t) (setq tem (intern (or argval (car-safe (prog1 command-lin=
e-args-left (setq command-line-args-left ...)))))) (if (commandp tem) (comm=
and-execute tem) (funcall tem))) ((member argi '("-eval" "-execute")) (setq=
 inhibit-startup-screen t) (let* ((str-expr (or argval (car-safe (prog1 com=
mand-line-args-left ...)))) (read-data (read-from-string str-expr)) (expr (=
car read-data)) (end (cdr read-data))) (if (string-match-p "[ \11\n]*\\'" s=
tr-expr end) nil (error "Trailing garbage following expression: %s" (substr=
ing str-expr end))) (eval expr t))) ((member argi '("-L" "-directory")) (le=
t (append) (if (string-match-p (format "\\`%s" path-separator) (setq tem (o=
r argval (car-safe ...)))) (setq tem (substring tem 1) append t)) (setq tem=
 (expand-file-name (command-line-normalize-file-name tem))) (cond (append (=
setq load-path (append load-path (list tem))) (if splice (setq splice load-=
path))) (splice (setcdr splice (cons tem (cdr splice))) (setq splice (cdr s=
plice))) (t (setq load-path (cons tem load-path) splice load-path))))) ((me=
mber argi '("-l" "-load")) (let* ((file (command-line-normalize-file-name (=
or argval (car-safe ...)))) (file-ex (file-truename (expand-file-name file)=
))) (if (file-regular-p file-ex) (progn (setq file file-ex))) (load file ni=
l t))) ((member argi '("-scriptload")) (let* ((file (command-line-normalize=
-file-name (or argval (car-safe ...)))) (file-ex (file-truename (expand-fil=
e-name file)))) (load file-ex nil t t))) ((equal argi "-insert") (setq inhi=
bit-startup-screen t) (setq tem (or argval (car-safe (prog1 command-line-ar=
gs-left (setq command-line-args-left (cdr command-line-args-left)))))) (or =
(stringp tem) (error "File name omitted from `-insert' option")) (insert-fi=
le-contents (command-line-normalize-file-name tem))) ((equal argi "-kill") =
(kill-emacs t)) ((equal argi "-no-desktop") (message "\"--no-desktop\" igno=
red because the Desktop package...")) ((string-match "^\\+[0-9]+\\'" argi) =
(setq line (string-to-number argi))) ((string-match "^\\+\\([0-9]+\\):\\([0=
-9]+\\)\\'" argi) (setq line (string-to-number (match-string 1 argi)) colum=
n (string-to-number (match-string 2 argi)))) ((setq tem (assoc orig-argi co=
mmand-line-x-option-alist)) (setq command-line-args-left (nthcdr (nth 1 tem=
) command-line-args-left))) ((setq tem (assoc orig-argi command-line-ns-opt=
ion-alist)) (setq command-line-args-left (nthcdr (nth 1 tem) command-line-a=
rgs-left))) ((member argi '("-find-file" "-file" "-visit")) (setq inhibit-s=
tartup-screen t) (setq tem (or argval (car-safe (prog1 command-line-args-le=
ft (setq command-line-args-left (cdr command-line-args-left)))))) (if (stri=
ngp tem) nil (error "File name omitted from `%s' option" argi)) (funcall pr=
ocess-file-arg tem)) ((string-match "\\`--?\\(no-\\)?\\(uni\\|multi\\)byte$=
" argi) (display-warning 'initialization (format "Ignoring obsolete arg %s"=
 argi))) ((equal argi "--") (setq just-files t)) (t (let ((hooks command-li=
ne-functions) (did-hook nil)) (while (and hooks (not (setq did-hook (funcal=
l ...)))) (setq hooks (cdr hooks))) (if did-hook nil (if (string-match "\\`=
-" argi) (error "Unknown option `%s'" argi)) (if initial-window-system nil =
(setq inhibit-startup-screen t)) (funcall process-file-arg orig-argi)))))
  (let* ((argi (car command-line-args-left)) (orig-argi argi) argval comple=
tion) (setq command-line-args-left (cdr command-line-args-left)) (if just-f=
iles (setq argi "") (if (string-match "\\`\\(--[^=3D]*\\)=3D" argi) (progn =
(setq argval (substring argi (match-end 0)) argi (match-string 1 argi)))) (=
if (string-match "\\`--?[^-]" orig-argi) (progn (setq completion (try-compl=
etion argi longopts)) (if (eq completion t) (setq argi (substring argi 1)) =
(if (stringp completion) (let (...) (or elt ...) (setq argi ...)) (setq arg=
val nil argi orig-argi)))))) (cond ((setq tem (assoc argi command-switch-al=
ist)) (if argval (let ((command-line-args-left (cons argval command-line-ar=
gs-left))) (funcall (cdr tem) argi)) (funcall (cdr tem) argi))) ((equal arg=
i "-no-splash") (setq inhibit-startup-screen t)) ((member argi '("-f" "-fun=
call" "-e")) (setq inhibit-startup-screen t) (setq tem (intern (or argval (=
car-safe (prog1 command-line-args-left ...))))) (if (commandp tem) (command=
-execute tem) (funcall tem))) ((member argi '("-eval" "-execute")) (setq in=
hibit-startup-screen t) (let* ((str-expr (or argval (car-safe ...))) (read-=
data (read-from-string str-expr)) (expr (car read-data)) (end (cdr read-dat=
a))) (if (string-match-p "[ \11\n]*\\'" str-expr end) nil (error "Trailing =
garbage following expression: %s" (substring str-expr end))) (eval expr t))=
) ((member argi '("-L" "-directory")) (let (append) (if (string-match-p (fo=
rmat "\\`%s" path-separator) (setq tem (or argval ...))) (setq tem (substri=
ng tem 1) append t)) (setq tem (expand-file-name (command-line-normalize-fi=
le-name tem))) (cond (append (setq load-path (append load-path ...)) (if sp=
lice (setq splice load-path))) (splice (setcdr splice (cons tem ...)) (setq=
 splice (cdr splice))) (t (setq load-path (cons tem load-path) splice load-=
path))))) ((member argi '("-l" "-load")) (let* ((file (command-line-normali=
ze-file-name (or argval ...))) (file-ex (file-truename (expand-file-name fi=
le)))) (if (file-regular-p file-ex) (progn (setq file file-ex))) (load file=
 nil t))) ((member argi '("-scriptload")) (let* ((file (command-line-normal=
ize-file-name (or argval ...))) (file-ex (file-truename (expand-file-name f=
ile)))) (load file-ex nil t t))) ((equal argi "-insert") (setq inhibit-star=
tup-screen t) (setq tem (or argval (car-safe (prog1 command-line-args-left =
(setq command-line-args-left ...))))) (or (stringp tem) (error "File name o=
mitted from `-insert' option")) (insert-file-contents (command-line-normali=
ze-file-name tem))) ((equal argi "-kill") (kill-emacs t)) ((equal argi "-no=
-desktop") (message "\"--no-desktop\" ignored because the Desktop package..=
.")) ((string-match "^\\+[0-9]+\\'" argi) (setq line (string-to-number argi=
))) ((string-match "^\\+\\([0-9]+\\):\\([0-9]+\\)\\'" argi) (setq line (str=
ing-to-number (match-string 1 argi)) column (string-to-number (match-string=
 2 argi)))) ((setq tem (assoc orig-argi command-line-x-option-alist)) (setq=
 command-line-args-left (nthcdr (nth 1 tem) command-line-args-left))) ((set=
q tem (assoc orig-argi command-line-ns-option-alist)) (setq command-line-ar=
gs-left (nthcdr (nth 1 tem) command-line-args-left))) ((member argi '("-fin=
d-file" "-file" "-visit")) (setq inhibit-startup-screen t) (setq tem (or ar=
gval (car-safe (prog1 command-line-args-left (setq command-line-args-left .=
..))))) (if (stringp tem) nil (error "File name omitted from `%s' option" a=
rgi)) (funcall process-file-arg tem)) ((string-match "\\`--?\\(no-\\)?\\(un=
i\\|multi\\)byte$" argi) (display-warning 'initialization (format "Ignoring=
 obsolete arg %s" argi))) ((equal argi "--") (setq just-files t)) (t (let (=
(hooks command-line-functions) (did-hook nil)) (while (and hooks (not (setq=
 did-hook ...))) (setq hooks (cdr hooks))) (if did-hook nil (if (string-mat=
ch "\\`-" argi) (error "Unknown option `%s'" argi)) (if initial-window-syst=
em nil (setq inhibit-startup-screen t)) (funcall process-file-arg orig-argi=
))))) (if (frame-live-p (selected-frame)) nil (kill-emacs nil)))
  (while command-line-args-left (let* ((argi (car command-line-args-left)) =
(orig-argi argi) argval completion) (setq command-line-args-left (cdr comma=
nd-line-args-left)) (if just-files (setq argi "") (if (string-match "\\`\\(=
--[^=3D]*\\)=3D" argi) (progn (setq argval (substring argi (match-end 0)) a=
rgi (match-string 1 argi)))) (if (string-match "\\`--?[^-]" orig-argi) (pro=
gn (setq completion (try-completion argi longopts)) (if (eq completion t) (=
setq argi (substring argi 1)) (if (stringp completion) (let ... ... ...) (s=
etq argval nil argi orig-argi)))))) (cond ((setq tem (assoc argi command-sw=
itch-alist)) (if argval (let ((command-line-args-left ...)) (funcall (cdr t=
em) argi)) (funcall (cdr tem) argi))) ((equal argi "-no-splash") (setq inhi=
bit-startup-screen t)) ((member argi '("-f" "-funcall" "-e")) (setq inhibit=
-startup-screen t) (setq tem (intern (or argval (car-safe ...)))) (if (comm=
andp tem) (command-execute tem) (funcall tem))) ((member argi '("-eval" "-e=
xecute")) (setq inhibit-startup-screen t) (let* ((str-expr (or argval ...))=
 (read-data (read-from-string str-expr)) (expr (car read-data)) (end (cdr r=
ead-data))) (if (string-match-p "[ \11\n]*\\'" str-expr end) nil (error "Tr=
ailing garbage following expression: %s" (substring str-expr end))) (eval e=
xpr t))) ((member argi '("-L" "-directory")) (let (append) (if (string-matc=
h-p (format "\\`%s" path-separator) (setq tem ...)) (setq tem (substring te=
m 1) append t)) (setq tem (expand-file-name (command-line-normalize-file-na=
me tem))) (cond (append (setq load-path ...) (if splice ...)) (splice (setc=
dr splice ...) (setq splice ...)) (t (setq load-path ... splice load-path))=
))) ((member argi '("-l" "-load")) (let* ((file (command-line-normalize-fil=
e-name ...)) (file-ex (file-truename ...))) (if (file-regular-p file-ex) (p=
rogn (setq file file-ex))) (load file nil t))) ((member argi '("-scriptload=
")) (let* ((file (command-line-normalize-file-name ...)) (file-ex (file-tru=
ename ...))) (load file-ex nil t t))) ((equal argi "-insert") (setq inhibit=
-startup-screen t) (setq tem (or argval (car-safe (prog1 command-line-args-=
left ...)))) (or (stringp tem) (error "File name omitted from `-insert' opt=
ion")) (insert-file-contents (command-line-normalize-file-name tem))) ((equ=
al argi "-kill") (kill-emacs t)) ((equal argi "-no-desktop") (message "\"--=
no-desktop\" ignored because the Desktop package...")) ((string-match "^\\+=
[0-9]+\\'" argi) (setq line (string-to-number argi))) ((string-match "^\\+\=
\([0-9]+\\):\\([0-9]+\\)\\'" argi) (setq line (string-to-number (match-stri=
ng 1 argi)) column (string-to-number (match-string 2 argi)))) ((setq tem (a=
ssoc orig-argi command-line-x-option-alist)) (setq command-line-args-left (=
nthcdr (nth 1 tem) command-line-args-left))) ((setq tem (assoc orig-argi co=
mmand-line-ns-option-alist)) (setq command-line-args-left (nthcdr (nth 1 te=
m) command-line-args-left))) ((member argi '("-find-file" "-file" "-visit")=
) (setq inhibit-startup-screen t) (setq tem (or argval (car-safe (prog1 com=
mand-line-args-left ...)))) (if (stringp tem) nil (error "File name omitted=
 from `%s' option" argi)) (funcall process-file-arg tem)) ((string-match "\=
\`--?\\(no-\\)?\\(uni\\|multi\\)byte$" argi) (display-warning 'initializati=
on (format "Ignoring obsolete arg %s" argi))) ((equal argi "--") (setq just=
-files t)) (t (let ((hooks command-line-functions) (did-hook nil)) (while (=
and hooks (not ...)) (setq hooks (cdr hooks))) (if did-hook nil (if (string=
-match "\\`-" argi) (error "Unknown option `%s'" argi)) (if initial-window-=
system nil (setq inhibit-startup-screen t)) (funcall process-file-arg orig-=
argi))))) (if (frame-live-p (selected-frame)) nil (kill-emacs nil))))
  (let* ((dir command-line-default-directory) tem splice just-files (longop=
ts (append '("--funcall" "--load" "--insert" "--kill" "--directory" "--eval=
" "--execute" "--no-splash" "--find-file" "--visit" "--file" "--no-desktop"=
) (mapcar #'(lambda (elt) (concat "-" ...)) command-switch-alist))) (line 0=
) (column 0) (process-file-arg #'(lambda (name) (if (not (or dir ...)) (mes=
sage "Ignoring relative file name (%s) due to nil defaul..." name) (let* (.=
.. ...) (file-name-history--add file) (setq displayable-buffers ...) (set-b=
uffer buf) (if ... nil ... ...) (setq line 0) (if ... nil ...) (setq column=
 0)))))) (let ((--dolist-tail-- command-line-x-option-alist)) (while --doli=
st-tail-- (let ((tem (car --dolist-tail--))) (if (string-match "^--" (car t=
em)) (setq longopts (cons (car tem) longopts))) (setq --dolist-tail-- (cdr =
--dolist-tail--))))) (let ((--dolist-tail-- command-line-ns-option-alist)) =
(while --dolist-tail-- (let ((tem (car --dolist-tail--))) (if (string-match=
 "^--" (car tem)) (setq longopts (cons (list ...) longopts))) (setq --dolis=
t-tail-- (cdr --dolist-tail--))))) (while command-line-args-left (let* ((ar=
gi (car command-line-args-left)) (orig-argi argi) argval completion) (setq =
command-line-args-left (cdr command-line-args-left)) (if just-files (setq a=
rgi "") (if (string-match "\\`\\(--[^=3D]*\\)=3D" argi) (progn (setq argval=
 (substring argi ...) argi (match-string 1 argi)))) (if (string-match "\\`-=
-?[^-]" orig-argi) (progn (setq completion (try-completion argi longopts)) =
(if (eq completion t) (setq argi ...) (if ... ... ...))))) (cond ((setq tem=
 (assoc argi command-switch-alist)) (if argval (let (...) (funcall ... argi=
)) (funcall (cdr tem) argi))) ((equal argi "-no-splash") (setq inhibit-star=
tup-screen t)) ((member argi '("-f" "-funcall" "-e")) (setq inhibit-startup=
-screen t) (setq tem (intern (or argval ...))) (if (commandp tem) (command-=
execute tem) (funcall tem))) ((member argi '("-eval" "-execute")) (setq inh=
ibit-startup-screen t) (let* ((str-expr ...) (read-data ...) (expr ...) (en=
d ...)) (if (string-match-p "[ \11\n]*\\'" str-expr end) nil (error "Traili=
ng garbage following expression: %s" ...)) (eval expr t))) ((member argi '(=
"-L" "-directory")) (let (append) (if (string-match-p ... ...) (setq tem ..=
. append t)) (setq tem (expand-file-name ...)) (cond (append ... ...) (spli=
ce ... ...) (t ...)))) ((member argi '("-l" "-load")) (let* ((file ...) (fi=
le-ex ...)) (if (file-regular-p file-ex) (progn ...)) (load file nil t))) (=
(member argi '("-scriptload")) (let* ((file ...) (file-ex ...)) (load file-=
ex nil t t))) ((equal argi "-insert") (setq inhibit-startup-screen t) (setq=
 tem (or argval (car-safe ...))) (or (stringp tem) (error "File name omitte=
d from `-insert' option")) (insert-file-contents (command-line-normalize-fi=
le-name tem))) ((equal argi "-kill") (kill-emacs t)) ((equal argi "-no-desk=
top") (message "\"--no-desktop\" ignored because the Desktop package...")) =
((string-match "^\\+[0-9]+\\'" argi) (setq line (string-to-number argi))) (=
(string-match "^\\+\\([0-9]+\\):\\([0-9]+\\)\\'" argi) (setq line (string-t=
o-number (match-string 1 argi)) column (string-to-number (match-string 2 ar=
gi)))) ((setq tem (assoc orig-argi command-line-x-option-alist)) (setq comm=
and-line-args-left (nthcdr (nth 1 tem) command-line-args-left))) ((setq tem=
 (assoc orig-argi command-line-ns-option-alist)) (setq command-line-args-le=
ft (nthcdr (nth 1 tem) command-line-args-left))) ((member argi '("-find-fil=
e" "-file" "-visit")) (setq inhibit-startup-screen t) (setq tem (or argval =
(car-safe ...))) (if (stringp tem) nil (error "File name omitted from `%s' =
option" argi)) (funcall process-file-arg tem)) ((string-match "\\`--?\\(no-=
\\)?\\(uni\\|multi\\)byte$" argi) (display-warning 'initialization (format =
"Ignoring obsolete arg %s" argi))) ((equal argi "--") (setq just-files t)) =
(t (let ((hooks command-line-functions) (did-hook nil)) (while (and hooks .=
..) (setq hooks ...)) (if did-hook nil (if ... ...) (if initial-window-syst=
em nil ...) (funcall process-file-arg orig-argi))))) (if (frame-live-p (sel=
ected-frame)) nil (kill-emacs nil)))))
  (progn (let* ((dir command-line-default-directory) tem splice just-files =
(longopts (append '("--funcall" "--load" "--insert" "--kill" "--directory" =
"--eval" "--execute" "--no-splash" "--find-file" "--visit" "--file" "--no-d=
esktop") (mapcar #'(lambda ... ...) command-switch-alist))) (line 0) (colum=
n 0) (process-file-arg #'(lambda (name) (if (not ...) (message "Ignoring re=
lative file name (%s) due to nil defaul..." name) (let* ... ... ... ... ...=
 ... ... ...))))) (let ((--dolist-tail-- command-line-x-option-alist)) (whi=
le --dolist-tail-- (let ((tem (car --dolist-tail--))) (if (string-match "^-=
-" (car tem)) (setq longopts (cons ... longopts))) (setq --dolist-tail-- (c=
dr --dolist-tail--))))) (let ((--dolist-tail-- command-line-ns-option-alist=
)) (while --dolist-tail-- (let ((tem (car --dolist-tail--))) (if (string-ma=
tch "^--" (car tem)) (setq longopts (cons ... longopts))) (setq --dolist-ta=
il-- (cdr --dolist-tail--))))) (while command-line-args-left (let* ((argi (=
car command-line-args-left)) (orig-argi argi) argval completion) (setq comm=
and-line-args-left (cdr command-line-args-left)) (if just-files (setq argi =
"") (if (string-match "\\`\\(--[^=3D]*\\)=3D" argi) (progn (setq argval ...=
 argi ...))) (if (string-match "\\`--?[^-]" orig-argi) (progn (setq complet=
ion ...) (if ... ... ...)))) (cond ((setq tem (assoc argi command-switch-al=
ist)) (if argval (let ... ...) (funcall ... argi))) ((equal argi "-no-splas=
h") (setq inhibit-startup-screen t)) ((member argi '...) (setq inhibit-star=
tup-screen t) (setq tem (intern ...)) (if (commandp tem) (command-execute t=
em) (funcall tem))) ((member argi '...) (setq inhibit-startup-screen t) (le=
t* (... ... ... ...) (if ... nil ...) (eval expr t))) ((member argi '...) (=
let (append) (if ... ...) (setq tem ...) (cond ... ... ...))) ((member argi=
 '...) (let* (... ...) (if ... ...) (load file nil t))) ((member argi '...)=
 (let* (... ...) (load file-ex nil t t))) ((equal argi "-insert") (setq inh=
ibit-startup-screen t) (setq tem (or argval ...)) (or (stringp tem) (error =
"File name omitted from `-insert' option")) (insert-file-contents (command-=
line-normalize-file-name tem))) ((equal argi "-kill") (kill-emacs t)) ((equ=
al argi "-no-desktop") (message "\"--no-desktop\" ignored because the Deskt=
op package...")) ((string-match "^\\+[0-9]+\\'" argi) (setq line (string-to=
-number argi))) ((string-match "^\\+\\([0-9]+\\):\\([0-9]+\\)\\'" argi) (se=
tq line (string-to-number ...) column (string-to-number ...))) ((setq tem (=
assoc orig-argi command-line-x-option-alist)) (setq command-line-args-left =
(nthcdr ... command-line-args-left))) ((setq tem (assoc orig-argi command-l=
ine-ns-option-alist)) (setq command-line-args-left (nthcdr ... command-line=
-args-left))) ((member argi '...) (setq inhibit-startup-screen t) (setq tem=
 (or argval ...)) (if (stringp tem) nil (error "File name omitted from `%s'=
 option" argi)) (funcall process-file-arg tem)) ((string-match "\\`--?\\(no=
-\\)?\\(uni\\|multi\\)byte$" argi) (display-warning 'initialization (format=
 "Ignoring obsolete arg %s" argi))) ((equal argi "--") (setq just-files t))=
 (t (let (... ...) (while ... ...) (if did-hook nil ... ... ...)))) (if (fr=
ame-live-p (selected-frame)) nil (kill-emacs nil))))))
  (if command-line-args-left (progn (let* ((dir command-line-default-direct=
ory) tem splice just-files (longopts (append '("--funcall" "--load" "--inse=
rt" "--kill" "--directory" "--eval" "--execute" "--no-splash" "--find-file"=
 "--visit" "--file" "--no-desktop") (mapcar #'... command-switch-alist))) (=
line 0) (column 0) (process-file-arg #'(lambda (name) (if ... ... ...)))) (=
let ((--dolist-tail-- command-line-x-option-alist)) (while --dolist-tail-- =
(let ((tem ...)) (if (string-match "^--" ...) (setq longopts ...)) (setq --=
dolist-tail-- (cdr --dolist-tail--))))) (let ((--dolist-tail-- command-line=
-ns-option-alist)) (while --dolist-tail-- (let ((tem ...)) (if (string-matc=
h "^--" ...) (setq longopts ...)) (setq --dolist-tail-- (cdr --dolist-tail-=
-))))) (while command-line-args-left (let* ((argi (car command-line-args-le=
ft)) (orig-argi argi) argval completion) (setq command-line-args-left (cdr =
command-line-args-left)) (if just-files (setq argi "") (if (string-match "\=
\`\\(--[^=3D]*\\)=3D" argi) (progn ...)) (if (string-match "\\`--?[^-]" ori=
g-argi) (progn ... ...))) (cond ((setq tem ...) (if argval ... ...)) ((equa=
l argi "-no-splash") (setq inhibit-startup-screen t)) ((member argi ...) (s=
etq inhibit-startup-screen t) (setq tem ...) (if ... ... ...)) ((member arg=
i ...) (setq inhibit-startup-screen t) (let* ... ... ...)) ((member argi ..=
.) (let ... ... ... ...)) ((member argi ...) (let* ... ... ...)) ((member a=
rgi ...) (let* ... ...)) ((equal argi "-insert") (setq inhibit-startup-scre=
en t) (setq tem ...) (or ... ...) (insert-file-contents ...)) ((equal argi =
"-kill") (kill-emacs t)) ((equal argi "-no-desktop") (message "\"--no-deskt=
op\" ignored because the Desktop package...")) ((string-match "^\\+[0-9]+\\=
'" argi) (setq line ...)) ((string-match "^\\+\\([0-9]+\\):\\([0-9]+\\)\\'"=
 argi) (setq line ... column ...)) ((setq tem ...) (setq command-line-args-=
left ...)) ((setq tem ...) (setq command-line-args-left ...)) ((member argi=
 ...) (setq inhibit-startup-screen t) (setq tem ...) (if ... nil ...) (func=
all process-file-arg tem)) ((string-match "\\`--?\\(no-\\)?\\(uni\\|multi\\=
)byte$" argi) (display-warning ... ...)) ((equal argi "--") (setq just-file=
s t)) (t (let ... ... ...))) (if (frame-live-p (selected-frame)) nil (kill-=
emacs nil)))))))
  (let ((command-line-args-left args-left)) (if command-line-args-left (pro=
gn (let* ((dir command-line-default-directory) tem splice just-files (longo=
pts (append '... (mapcar ... command-switch-alist))) (line 0) (column 0) (p=
rocess-file-arg #'(lambda ... ...))) (let ((--dolist-tail-- command-line-x-=
option-alist)) (while --dolist-tail-- (let (...) (if ... ...) (setq --dolis=
t-tail-- ...)))) (let ((--dolist-tail-- command-line-ns-option-alist)) (whi=
le --dolist-tail-- (let (...) (if ... ...) (setq --dolist-tail-- ...)))) (w=
hile command-line-args-left (let* ((argi ...) (orig-argi argi) argval compl=
etion) (setq command-line-args-left (cdr command-line-args-left)) (if just-=
files (setq argi "") (if ... ...) (if ... ...)) (cond (... ...) (... ...) (=
... ... ... ...) (... ... ...) (... ...) (... ...) (... ...) (... ... ... .=
.. ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ..=
. ... ... ...) (... ...) (... ...) (t ...)) (if (frame-live-p ...) nil (kil=
l-emacs nil))))))))
  (let ((displayable-buffers nil)) (let ((command-line-args-left args-left)=
) (if command-line-args-left (progn (let* ((dir command-line-default-direct=
ory) tem splice just-files (longopts (append ... ...)) (line 0) (column 0) =
(process-file-arg #'...)) (let ((--dolist-tail-- command-line-x-option-alis=
t)) (while --dolist-tail-- (let ... ... ...))) (let ((--dolist-tail-- comma=
nd-line-ns-option-alist)) (while --dolist-tail-- (let ... ... ...))) (while=
 command-line-args-left (let* (... ... argval completion) (setq command-lin=
e-args-left ...) (if just-files ... ... ...) (cond ... ... ... ... ... ... =
... ... ... ... ... ... ... ... ... ... ... ...) (if ... nil ...))))))) (if=
 (eq initial-buffer-choice t) (progn (startup--get-buffer-create-scratch)))=
 (and initial-scratch-message (get-buffer "*scratch*") (save-current-buffer=
 (set-buffer "*scratch*") (if (=3D 0 (buffer-size)) (progn (insert (substit=
ute-command-keys initial-scratch-message)) (set-buffer-modified-p nil))))) =
(if initial-buffer-choice (progn (let ((buf (cond (... ...) (... ...) (... =
...) (t ...)))) (if (buffer-live-p buf) nil (error "Value returned by `init=
ial-buffer-choice' is not a..." buf)) (setq displayable-buffers (cons buf (=
delq buf displayable-buffers)))))) (let ((displayable-buffers-len (length d=
isplayable-buffers)) (nondisplayed-buffers-p nil)) (if (> displayable-buffe=
rs-len 0) (progn (switch-to-buffer (car displayable-buffers)))) (if (> disp=
layable-buffers-len 1) (progn (switch-to-buffer-other-window (car (cdr disp=
layable-buffers))) (other-window -1))) (if (> displayable-buffers-len 2) (p=
rogn (setq nondisplayed-buffers-p t))) (if (or inhibit-startup-screen initi=
al-buffer-choice noninteractive (daemonp) inhibit-x-resources) (if (and non=
displayed-buffers-p (not noninteractive) (not inhibit-startup-buffer-menu))=
 (progn (list-buffers))) (run-hooks 'emacs-startup-hook 'term-setup-hook) (=
if (fboundp 'frame-notice-user-settings) (progn (frame-notice-user-settings=
))) (run-hooks 'window-setup-hook) (setq inhibit-startup-hooks t) (display-=
startup-screen (> displayable-buffers-len 0)))))
  command-line-1(("--eval" "(setq load-prefer-newer t)" "-l" "comp" "-f" "b=
atch-byte+native-compile" "emacs-lisp/autoload.el"))
  (let (xdg-dir startup-init-directory) (setq before-init-time (current-tim=
e) after-init-time nil command-line-default-directory default-directory) (s=
etq abbreviated-home-dir nil) (let ((vc (getenv "VERSION_CONTROL"))) (cond =
((eq vc nil)) ((member vc ...) (setq version-control t)) ((member vc ...) (=
setq version-control nil)) ((member vc ...) (setq version-control ...)))) (=
let ((simple-file-name (locate-file "simple" load-path ...)) lisp-dir) (if =
(null simple-file-name) (let (... ...) (princ "Warning: Could not find simp=
le.e...") (terpri) (if ... ...) (if ... nil ... ...)) (setq lisp-dir (file-=
truename ...)) (setq load-history (mapcar ... load-history)))) (let ((args =
command-line-args)) (while args (setcar args (decode-coding-string ... loca=
le-coding-system t)) (car-safe (prog1 args ...)))) (let ((done nil) (args (=
cdr command-line-args)) display-arg) (setq init-file-user (if noninteractiv=
e nil (user-login-name))) (and init-file-user (equal init-file-user (user-r=
eal-login-name)) (setq init-file-user "")) (while (and (not done) args) (le=
t* (... ... ... argval) (if ... ...) (if ... ...) (cond ... ... ... ... ...=
 ... ... ... ... ... ... ...) (and argval ...))) (and display-arg (setq arg=
s (append display-arg args))) (and command-line-args (setcdr command-line-a=
rgs args))) (if (listp custom-delayed-init-variables) (progn (mapc #'custom=
-reevaluate-setting (reverse custom-delayed-init-variables)))) (setq custom=
-delayed-init-variables t) (if init-file-user (progn (if (string-match "[~/=
:\n]" init-file-user) (display-warning ... ... :error) (if ... nil ...)))) =
(setq xdg-dir startup--xdg-config-home-emacs) (setq startup-init-directory =
(if (or (=3D 0 ...) (and ... ...)) user-emacs-directory (setq xdg-dir (conc=
at "~" init-file-user "/.config/emacs/")) (startup--xdg-or-homedot xdg-dir =
init-file-user))) (startup--load-user-init-file #'(lambda nil (expand-file-=
name "early-init.el" startup-init-directory))) (setq early-init-file user-i=
nit-file) (and user-init-file package-enable-at-startup (not (and (boundp .=
..) package--activated)) (catch 'package-dir-found (let (...) (let ... ...)=
)) (package-activate-all)) (condition-case error (if noninteractive nil (if=
 (and initial-window-system ...) (error "Unsupported window system `%s'" in=
itial-window-system)) (setq command-line-args (let ... ...)) (let (...) (wi=
ndow-system-initialization)) (put initial-window-system 'window-system-init=
ialized t)) (error (princ (if ... ... ...) 'external-debugging-output) (ter=
pri 'external-debugging-output) (setq initial-window-system nil) (kill-emac=
s))) (run-hooks 'before-init-hook) (if (daemonp) nil (if (or noninteractive=
 emacs-basic-display) (setq menu-bar-mode nil tab-bar-mode nil tool-bar-mod=
e nil)) (frame-initialize)) (if (fboundp 'x-create-frame) (progn (if nonint=
eractive nil (tool-bar-setup)))) (if noninteractive nil (startup--setup-quo=
te-display) (setq internal--text-quoting-flag t)) (normal-erase-is-backspac=
e-setup-frame) (or (eq initial-window-system 'pc) (tty-register-default-col=
ors)) (let ((old-scalable-fonts-allowed scalable-fonts-allowed) (old-face-i=
gnored-fonts face-ignored-fonts)) (if site-run-file (let (...) (load site-r=
un-file t t))) (startup--load-user-init-file #'(lambda nil ...) #'(lambda n=
il ...) t) (if (and deactivate-mark transient-mark-mode) (progn (save-curre=
nt-buffer ... ...))) (if (and (not noninteractive) (file-exists-p abbrev-fi=
le-name) (file-readable-p abbrev-file-name)) (progn (quietly-read-abbrev-fi=
le abbrev-file-name))) (setq abbrevs-changed nil) (and mail-host-address (e=
qual user-mail-address (let ... ...)) (custom-reevaluate-setting 'user-mail=
-address)) (if (and (eq scalable-fonts-allowed old-scalable-fonts-allowed) =
(eq face-ignored-fonts old-face-ignored-fonts)) nil (clear-face-cache))) (s=
etq after-init-time (current-time)) (run-hooks 'after-init-hook 'delayed-wa=
rnings-hook) (if (get-buffer "*scratch*") (save-current-buffer (set-buffer =
"*scratch*") (if (eq major-mode ...) (funcall initial-major-mode)))) (if (o=
r noninteractive initial-window-system (daemonp)) nil (tty-run-terminal-ini=
tialization (selected-frame) nil t)) (setq memory-signal-data (list 'error =
(substitute-command-keys "Memory exhausted--use \\[save-som..."))) (command=
-line-1 (cdr command-line-args)) (let (warned) (let ((--dolist-tail-- load-=
path)) (while --dolist-tail-- (let ... ... ...)))) (if noninteractive (kill=
-emacs t)) ...)
  command-line()
  (unwind-protect (command-line) (if default-directory (setq default-direct=
ory (abbreviate-file-name default-directory))) (or auto-save-list-file-name=
 (and auto-save-list-file-prefix (setq auto-save-list-file-name (cond ((eq =
system-type 'ms-dos) (make-directory (file-name-directory auto-save-list-fi=
le-prefix) t) (concat (make-temp-name ...) "~")) (t (expand-file-name (form=
at "%s%d-%s~" auto-save-list-file-prefix ... ...))))))) (if inhibit-startup=
-hooks nil (run-hooks 'emacs-startup-hook 'term-setup-hook)) (if (or frame-=
initial-frame (not (and initial-window-system (not noninteractive) (not (eq=
 initial-window-system 'pc))))) (progn (if (eq face-font-rescale-alist old-=
face-font-rescale-alist) nil (set-face-attribute 'default nil :font (font-s=
pec))) (if (fboundp 'frame-notice-user-settings) (frame-notice-user-setting=
s)) (if (fboundp 'frame-set-background-mode) (frame-set-background-mode (se=
lected-frame))))) (if (fboundp 'font-menu-add-default) (font-menu-add-defau=
lt)) (if inhibit-startup-hooks nil (run-hooks 'window-setup-hook)))
  (let ((old-face-font-rescale-alist face-font-rescale-alist)) (unwind-prot=
ect (command-line) (if default-directory (setq default-directory (abbreviat=
e-file-name default-directory))) (or auto-save-list-file-name (and auto-sav=
e-list-file-prefix (setq auto-save-list-file-name (cond ((eq system-type ..=
.) (make-directory ... t) (concat ... "~")) (t (expand-file-name ...)))))) =
(if inhibit-startup-hooks nil (run-hooks 'emacs-startup-hook 'term-setup-ho=
ok)) (if (or frame-initial-frame (not (and initial-window-system (not nonin=
teractive) (not (eq initial-window-system ...))))) (progn (if (eq face-font=
-rescale-alist old-face-font-rescale-alist) nil (set-face-attribute 'defaul=
t nil :font (font-spec))) (if (fboundp 'frame-notice-user-settings) (frame-=
notice-user-settings)) (if (fboundp 'frame-set-background-mode) (frame-set-=
background-mode (selected-frame))))) (if (fboundp 'font-menu-add-default) (=
font-menu-add-default)) (if inhibit-startup-hooks nil (run-hooks 'window-se=
tup-hook))))
  (if command-line-processed (message internal--top-level-message) (setq co=
mmand-line-processed t) (setq startup--xdg-config-home-emacs (let ((xdg-con=
fig-home (getenv-internal "XDG_CONFIG_HOME"))) (if xdg-config-home (concat =
xdg-config-home "/emacs/") startup--xdg-config-default))) (setq user-emacs-=
directory (startup--xdg-or-homedot startup--xdg-config-home-emacs nil)) (if=
 (featurep 'native-compile) (progn (let ((path-env (getenv "EMACSNATIVELOAD=
PATH"))) (if path-env (progn (let (...) (while --dolist-tail-- ...))))) (se=
tq native-comp-eln-load-path (cons (expand-file-name "eln-cache/" user-emac=
s-directory) native-comp-eln-load-path)) (if (and (equal (getenv "HOME") "/=
nonexistent") (file-writable-p (expand-file-name (or temporary-file-directo=
ry "")))) (progn (let ((tmp-dir ...)) (add-hook 'kill-emacs-hook #'...) (se=
tq native-comp-eln-load-path (cons tmp-dir native-comp-eln-load-path)))))))=
 (let ((tail load-path) (lispdir (expand-file-name "../lisp" data-directory=
)) dir) (while tail (setq dir (car tail)) (let ((default-directory dir)) (l=
oad (expand-file-name "subdirs.el") t t t)) (or (string-prefix-p lispdir di=
r) (let ((default-directory dir)) (load (expand-file-name "leim-list.el") t=
 t t))) (setq tail (cdr tail)))) (cond ((memq system-type '(ms-dos windows-=
nt)) (setq eol-mnemonic-unix "(Unix)" eol-mnemonic-mac "(Mac)")) (t (setq e=
ol-mnemonic-dos "(DOS)" eol-mnemonic-mac "(Mac)"))) (set-locale-environment=
 nil) (if locale-coding-system (progn (let ((coding (if (eq system-type ...=
) 'utf-8 locale-coding-system))) (save-excursion (let ((--dolist-tail-- ...=
)) (while --dolist-tail-- (let ... ... ... ...)))) (let ((--dolist-tail-- '=
...)) (while --dolist-tail-- (let (...) (let ... ...) (setq --dolist-tail--=
 ...)))) (if (featurep 'native-compile) (progn (let (...) (set ... ...)))) =
(let ((--dolist-tail-- '...)) (while --dolist-tail-- (let (...) (let ... ..=
.) (setq --dolist-tail-- ...))))))) (let ((dir default-directory)) (save-cu=
rrent-buffer (set-buffer "*Messages*") (messages-buffer-mode) (set (make-lo=
cal-variable 'window-point-insertion-type) t) (setq default-directory (or d=
ir (expand-file-name "~/"))))) (put 'user-full-name 'standard-value (list (=
default-value 'user-full-name))) (let ((pwd (getenv "PWD"))) (and pwd (or (=
and default-directory (condition-case nil (progn (equal ... ...)) (error ni=
l))) (setq process-environment (delete (concat "PWD=3D" pwd) process-enviro=
nment))))) (if (listp charset-map-path) (let ((coding (if (eq system-type '=
windows-nt) 'utf-8 locale-coding-system))) (setq charset-map-path (mapcar #=
'(lambda (dir) (decode-coding-string dir coding t)) charset-map-path)))) (i=
f default-directory (setq default-directory (abbreviate-file-name default-d=
irectory)) (display-warning 'initialization "Error setting default-director=
y")) (let ((old-face-font-rescale-alist face-font-rescale-alist)) (unwind-p=
rotect (command-line) (if default-directory (setq default-directory (abbrev=
iate-file-name default-directory))) (or auto-save-list-file-name (and auto-=
save-list-file-prefix (setq auto-save-list-file-name (cond (... ... ...) (t=
 ...))))) (if inhibit-startup-hooks nil (run-hooks 'emacs-startup-hook 'ter=
m-setup-hook)) (if (or frame-initial-frame (not (and initial-window-system =
(not noninteractive) (not ...)))) (progn (if (eq face-font-rescale-alist ol=
d-face-font-rescale-alist) nil (set-face-attribute 'default nil :font (font=
-spec))) (if (fboundp 'frame-notice-user-settings) (frame-notice-user-setti=
ngs)) (if (fboundp 'frame-set-background-mode) (frame-set-background-mode (=
selected-frame))))) (if (fboundp 'font-menu-add-default) (font-menu-add-def=
ault)) (if inhibit-startup-hooks nil (run-hooks 'window-setup-hook)))) (set=
env "TERM" "dumb") (let ((display (frame-parameter nil 'display))) (if (str=
ingp display) (setq display (concat "DISPLAY=3D" display)) (let ((--dolist-=
tail-- initial-environment)) (while --dolist-tail-- (let ((varval ...)) (if=
 (string-match "\\`DISPLAY=3D" varval) (setq display varval)) (setq --dolis=
t-tail-- (cdr --dolist-tail--)))))) (if display (progn (delete display proc=
ess-environment)))))
  normal-top-level()

make[3]: *** [Makefile:297: emacs-lisp/autoload.elc] Error 255

Andreas.

--=20
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint =3D 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."





Acknowledgement sent to Andreas Schwab <schwab@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50230; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 4 Sep 2021 09:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.